IWLIST(8)

NAME
iwlist - Get wireless statistics from specific nodes

SYNOPSIS
iwlist interface freq
iwlist interface ap
iwlist interface rate
iwlist interface key
iwlist interface power
iwlist interface txpower
iwlist interface retry

DESCRIPTION
Iwlist is used to display some large chunk of information from a wireless network interface that is not displayed by iwconfig. This is typically list of parameters.

PARAMETERS

freq/channel
    Give the list of available frequencies in the device and the number of defined channels. Please note that usually the driver returns the total number of channels and only the frequencies available in the present locale, so there is no one to one mapping between frequencies displayed and channel numbers.

ap/accesspoint
    Give the list of Access Points in range, and optionally the quality of link to them.

rate/bit[rate]
    List the bit-rates supported by the device.

key/enc[ryption]
    List the encryption key sizes supported and display all the encryption keys availables in the device.

power
    List the various Power Management attributes and modes of the device.

txpower
    List the various Transmit Power available on the device.

retry
    List the transmit retry limits and retry lifetime on the device.

FILES
/proc/net/wireless

SEE ALSO
iwconfig(8), ifconfig(8), iwspy(8). iwpriv(8).